[API Reference](../README.md) > [ContributionRewardWrapper](../classes/ContributionRewardWrapper.md)



# Class: ContributionRewardWrapper

## Hierarchy


↳  [ProposalGeneratorBase](ProposalGeneratorBase.md)

**↳ ContributionRewardWrapper**







## Implements

* [IContractWrapper](../interfaces/IContractWrapper.md)
* [IUniversalSchemeWrapper](../interfaces/IUniversalSchemeWrapper.md)

## Index

### Constructors

* [constructor](ContributionRewardWrapper.md#constructor)


### Properties

* [NewContributionProposal](ContributionRewardWrapper.md#NewContributionProposal)
* [ProposalDeleted](ContributionRewardWrapper.md#ProposalDeleted)
* [ProposalExecuted](ContributionRewardWrapper.md#ProposalExecuted)
* [RedeemEther](ContributionRewardWrapper.md#RedeemEther)
* [RedeemExternalToken](ContributionRewardWrapper.md#RedeemExternalToken)
* [RedeemNativeToken](ContributionRewardWrapper.md#RedeemNativeToken)
* [RedeemReputation](ContributionRewardWrapper.md#RedeemReputation)
* [contract](ContributionRewardWrapper.md#contract)
* [factory](ContributionRewardWrapper.md#factory)
* [friendlyName](ContributionRewardWrapper.md#friendlyName)
* [name](ContributionRewardWrapper.md#name)


### Accessors

* [address](ContributionRewardWrapper.md#address)


### Methods

* [estimateGas](ContributionRewardWrapper.md#estimateGas)
* [getBeneficiaryRewards](ContributionRewardWrapper.md#getBeneficiaryRewards)
* [getDefaultPermissions](ContributionRewardWrapper.md#getDefaultPermissions)
* [getExecutedProposals](ContributionRewardWrapper.md#getExecutedProposals)
* [getParameters](ContributionRewardWrapper.md#getParameters)
* [getParametersArray](ContributionRewardWrapper.md#getParametersArray)
* [getParametersHash](ContributionRewardWrapper.md#getParametersHash)
* [getProposal](ContributionRewardWrapper.md#getProposal)
* [getSchemeParameters](ContributionRewardWrapper.md#getSchemeParameters)
* [getSchemeParametersHash](ContributionRewardWrapper.md#getSchemeParametersHash)
* [getSchemePermissions](ContributionRewardWrapper.md#getSchemePermissions)
* [getVotableProposals](ContributionRewardWrapper.md#getVotableProposals)
* [getVotingMachine](ContributionRewardWrapper.md#getVotingMachine)
* [getVotingMachineAddress](ContributionRewardWrapper.md#getVotingMachineAddress)
* [hydrateFromAt](ContributionRewardWrapper.md#hydrateFromAt)
* [hydrateFromDeployed](ContributionRewardWrapper.md#hydrateFromDeployed)
* [hydrateFromNew](ContributionRewardWrapper.md#hydrateFromNew)
* [proposeContributionReward](ContributionRewardWrapper.md#proposeContributionReward)
* [redeemContributionReward](ContributionRewardWrapper.md#redeemContributionReward)
* [redeemEther](ContributionRewardWrapper.md#redeemEther)
* [redeemExternalToken](ContributionRewardWrapper.md#redeemExternalToken)
* [redeemNativeToken](ContributionRewardWrapper.md#redeemNativeToken)
* [redeemReputation](ContributionRewardWrapper.md#redeemReputation)
* [setParameters](ContributionRewardWrapper.md#setParameters)



---
## Constructors
<a id="constructor"></a>


### ⊕ **new ContributionRewardWrapper**(solidityContract: *`any`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [ContributionRewardWrapper](ContributionRewardWrapper.md)


*Inherited from [ProposalGeneratorBase](ProposalGeneratorBase.md).[constructor](ProposalGeneratorBase.md#constructor)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[constructor](ContractWrapperBase.md#constructor)*

*Defined in [proposalGeneratorBase.ts:10](https://github.com/daostack/arc.js/blob/f343aa24/lib/proposalGeneratorBase.ts#L10)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContract | `any`   |  - |
| web3EventService | [Web3EventService](Web3EventService.md)   |  - |





**Returns:** [ContributionRewardWrapper](ContributionRewardWrapper.md)

---


## Properties
<a id="NewContributionProposal"></a>

###  NewContributionProposal

**●  NewContributionProposal**:  *[EventFetcherFactory](../#EventFetcherFactory)[NewContributionProposalEventResult](../interfaces/NewContributionProposalEventResult.md)* 

*Defined in [wrappers/contributionReward.ts:42](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L42)*



Events




___

<a id="ProposalDeleted"></a>

###  ProposalDeleted

**●  ProposalDeleted**:  *[EventFetcherFactory](../#EventFetcherFactory)[ProposalDeletedEventResult](../interfaces/ProposalDeletedEventResult.md)* 

*Defined in [wrappers/contributionReward.ts:44](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L44)*





___

<a id="ProposalExecuted"></a>

###  ProposalExecuted

**●  ProposalExecuted**:  *[EventFetcherFactory](../#EventFetcherFactory)[SchemeProposalExecutedEventResult](../interfaces/SchemeProposalExecutedEventResult.md)* 

*Defined in [wrappers/contributionReward.ts:43](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L43)*





___

<a id="RedeemEther"></a>

###  RedeemEther

**●  RedeemEther**:  *[EventFetcherFactory](../#EventFetcherFactory)[RedeemEventResult](../interfaces/RedeemEventResult.md)* 

*Defined in [wrappers/contributionReward.ts:46](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L46)*





___

<a id="RedeemExternalToken"></a>

###  RedeemExternalToken

**●  RedeemExternalToken**:  *[EventFetcherFactory](../#EventFetcherFactory)[RedeemEventResult](../interfaces/RedeemEventResult.md)* 

*Defined in [wrappers/contributionReward.ts:48](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L48)*





___

<a id="RedeemNativeToken"></a>

###  RedeemNativeToken

**●  RedeemNativeToken**:  *[EventFetcherFactory](../#EventFetcherFactory)[RedeemEventResult](../interfaces/RedeemEventResult.md)* 

*Defined in [wrappers/contributionReward.ts:47](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L47)*





___

<a id="RedeemReputation"></a>

###  RedeemReputation

**●  RedeemReputation**:  *[EventFetcherFactory](../#EventFetcherFactory)[RedeemEventResult](../interfaces/RedeemEventResult.md)* 

*Defined in [wrappers/contributionReward.ts:45](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L45)*





___

<a id="contract"></a>

###  contract

**●  contract**:  *`any`* 

*Implementation of [IUniversalSchemeWrapper](../interfaces/IUniversalSchemeWrapper.md).[contract](../interfaces/IUniversalSchemeWrapper.md#contract)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[contract](ContractWrapperBase.md#contract)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperBase.ts#L66)*



The underlying truffle contract object. Use this to access parts of the contract that aren't accessible via the wrapper.




___

<a id="factory"></a>

###  factory

**●  factory**:  *[IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)[ContributionRewardWrapper](ContributionRewardWrapper.md)*  =  ContributionRewardFactory

*Implementation of [IUniversalSchemeWrapper](../interfaces/IUniversalSchemeWrapper.md).[factory](../interfaces/IUniversalSchemeWrapper.md#factory)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[factory](ContractWrapperBase.md#factory)*

*Defined in [wrappers/contributionReward.ts:36](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L36)*





___

<a id="friendlyName"></a>

###  friendlyName

**●  friendlyName**:  *`string`*  = "Contribution Reward"

*Implementation of [IUniversalSchemeWrapper](../interfaces/IUniversalSchemeWrapper.md).[friendlyName](../interfaces/IUniversalSchemeWrapper.md#friendlyName)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[friendlyName](ContractWrapperBase.md#friendlyName)*

*Defined in [wrappers/contributionReward.ts:35](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L35)*





___

<a id="name"></a>

###  name

**●  name**:  *`string`*  = "ContributionReward"

*Implementation of [IUniversalSchemeWrapper](../interfaces/IUniversalSchemeWrapper.md).[name](../interfaces/IUniversalSchemeWrapper.md#name)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[name](ContractWrapperBase.md#name)*

*Defined in [wrappers/contributionReward.ts:34](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L34)*





___


## Accessors
<a id="address"></a>

###  address


getaddress(): [Address](../#Address)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[address](ContractWrapperBase.md#address)*

*Defined in [contractWrapperBase.ts:61](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperBase.ts#L61)*



The address of the contract




**Returns:** [Address](../#Address)



___


## Methods
<a id="estimateGas"></a>

###  estimateGas

► **estimateGas**(func: *[ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)*, params: *`Array`.<`any`>*, web3Params?: *`any`*): `Promise`.<`number`>



*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[estimateGas](ContractWrapperBase.md#estimateGas)*

*Defined in [contractWrapperBase.ts:168](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperBase.ts#L168)*



Estimate conservatively the amount of gas required to execute the given function with the given parameters. Adds 21000 to the estimate computed by web3.


**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| func | [ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)  | - |   The function |
| params | `Array`.<`any`>  | - |   The parameters to send to the function |
| web3Params | `any`  |  {} |   The web3 parameters (like "from", for example). If it contains "gas"then that value is returned, effectively a no-op. |





**Returns:** `Promise`.<`number`>





___

<a id="getBeneficiaryRewards"></a>

###  getBeneficiaryRewards

► **getBeneficiaryRewards**(options?: *[GetBeneficiaryRewardsParams](../interfaces/GetBeneficiaryRewardsParams.md)*): `Promise`.<`Array`.<[ProposalRewards](../interfaces/ProposalRewards.md)>>



*Defined in [wrappers/contributionReward.ts:366](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L366)*



Return a list of `ProposalRewards` for executed (passed by vote) proposals that have rewards waiting to be redeemed by the given beneficiary. `ProposalRewards` includes the total amount redeemable, the amount yet-to-be redeemed and where applicable, the amount that the Dao has available to pay out. The latter is useful for anticipating whether an attempt to redeem would succeed.


**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| options | [GetBeneficiaryRewardsParams](../interfaces/GetBeneficiaryRewardsParams.md)  |  {} as GetBeneficiaryRewardsParams |   - |





**Returns:** `Promise`.<`Array`.<[ProposalRewards](../interfaces/ProposalRewards.md)>>





___

<a id="getDefaultPermissions"></a>

###  getDefaultPermissions

► **getDefaultPermissions**(): [SchemePermissions](../enums/SchemePermissions.md)



*Implementation of [IUniversalSchemeWrapper](../interfaces/IUniversalSchemeWrapper.md).[getDefaultPermissions](../interfaces/IUniversalSchemeWrapper.md#getDefaultPermissions)*

*Defined in [wrappers/contributionReward.ts:491](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L491)*





**Returns:** [SchemePermissions](../enums/SchemePermissions.md)





___

<a id="getExecutedProposals"></a>

###  getExecutedProposals

► **getExecutedProposals**(avatarAddress: *[Address](../#Address)*): [EntityFetcherFactory](../#EntityFetcherFactory)[ContributionProposal](../interfaces/ContributionProposal.md), [SchemeProposalExecutedEventResult](../interfaces/SchemeProposalExecutedEventResult.md)



*Defined in [wrappers/contributionReward.ts:343](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L343)*



EntityFetcherFactory for executed ContributionProposals. The Arc ContributionProposals contract retains the original proposal struct after execution.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address)   |  - |





**Returns:** [EntityFetcherFactory](../#EntityFetcherFactory)[ContributionProposal](../interfaces/ContributionProposal.md), [SchemeProposalExecutedEventResult](../interfaces/SchemeProposalExecutedEventResult.md)





___

<a id="getParameters"></a>

###  getParameters

► **getParameters**(paramsHash: *[Hash](../#Hash)*): `Promise`.<[ContributionRewardParamsReturn](../interfaces/ContributionRewardParamsReturn.md)>



*Implementation of [IUniversalSchemeWrapper](../interfaces/IUniversalSchemeWrapper.md).[getParameters](../interfaces/IUniversalSchemeWrapper.md#getParameters)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[getParameters](ContractWrapperBase.md#getParameters)*

*Defined in [wrappers/contributionReward.ts:503](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L503)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash)   |  - |





**Returns:** `Promise`.<[ContributionRewardParamsReturn](../interfaces/ContributionRewardParamsReturn.md)>





___

<a id="getParametersArray"></a>

###  getParametersArray

► **getParametersArray**(paramsHash: *[Hash](../#Hash)*): `Promise`.<`Array`.<`any`>>



*Implementation of [IUniversalSchemeWrapper](../interfaces/IUniversalSchemeWrapper.md).[getParametersArray](../interfaces/IUniversalSchemeWrapper.md#getParametersArray)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[getParametersArray](ContractWrapperBase.md#getParametersArray)*

*Defined in [contractWrapperBase.ts:155](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperBase.ts#L155)*



Given a hash, returns the associated parameters as an array, ordered by the order in which the parameters appear in the contract's Parameters struct.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash)   |  - |





**Returns:** `Promise`.<`Array`.<`any`>>





___

<a id="getParametersHash"></a>

###  getParametersHash

► **getParametersHash**(params: *[ContributionRewardParams](../interfaces/ContributionRewardParams.md)*): `Promise`.<[Hash](../#Hash)>



*Defined in [wrappers/contributionReward.ts:441](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L441)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| params | [ContributionRewardParams](../interfaces/ContributionRewardParams.md)   |  - |





**Returns:** `Promise`.<[Hash](../#Hash)>





___

<a id="getProposal"></a>

###  getProposal

► **getProposal**(avatarAddress: *[Address](../#Address)*, proposalId: *[Hash](../#Hash)*): `Promise`.<[ContributionProposal](../interfaces/ContributionProposal.md)>



*Defined in [wrappers/contributionReward.ts:486](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L486)*



Returns promise of a `ContributionProposal` for the given proposal id and avatar address.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address)   |  - |
| proposalId | [Hash](../#Hash)   |  - |





**Returns:** `Promise`.<[ContributionProposal](../interfaces/ContributionProposal.md)>





___

<a id="getSchemeParameters"></a>

###  getSchemeParameters

► **getSchemeParameters**(avatarAddress: *[Address](../#Address)*): `Promise`.<[ContributionRewardParamsReturn](../interfaces/ContributionRewardParamsReturn.md)>



*Implementation of [IUniversalSchemeWrapper](../interfaces/IUniversalSchemeWrapper.md).[getSchemeParameters](../interfaces/IUniversalSchemeWrapper.md#getSchemeParameters)*

*Defined in [wrappers/contributionReward.ts:499](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L499)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address)   |  - |





**Returns:** `Promise`.<[ContributionRewardParamsReturn](../interfaces/ContributionRewardParamsReturn.md)>





___

<a id="getSchemeParametersHash"></a>

###  getSchemeParametersHash

► **getSchemeParametersHash**(avatarAddress: *[Address](../#Address)*): `Promise`.<[Hash](../#Hash)>



*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[getSchemeParametersHash](ContractWrapperBase.md#getSchemeParametersHash)*

*Defined in [contractWrapperBase.ts:144](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperBase.ts#L144)*



Given an avatar address, returns the schemes parameters hash


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address)   |  - |





**Returns:** `Promise`.<[Hash](../#Hash)>





___

<a id="getSchemePermissions"></a>

###  getSchemePermissions

► **getSchemePermissions**(avatarAddress: *[Address](../#Address)*): `Promise`.<[SchemePermissions](../enums/SchemePermissions.md)>



*Implementation of [IUniversalSchemeWrapper](../interfaces/IUniversalSchemeWrapper.md).[getSchemePermissions](../interfaces/IUniversalSchemeWrapper.md#getSchemePermissions)*

*Defined in [wrappers/contributionReward.ts:495](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L495)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address)   |  - |





**Returns:** `Promise`.<[SchemePermissions](../enums/SchemePermissions.md)>





___

<a id="getVotableProposals"></a>

###  getVotableProposals

► **getVotableProposals**(avatarAddress: *[Address](../#Address)*): `Promise`.<[EntityFetcherFactory](../#EntityFetcherFactory)[ContributionProposal](../interfaces/ContributionProposal.md), [NewContributionProposalEventResult](../interfaces/NewContributionProposalEventResult.md)>



*Defined in [wrappers/contributionReward.ts:318](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L318)*



EntityFetcherFactory for votable ContributionProposals.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address)   |  - |





**Returns:** `Promise`.<[EntityFetcherFactory](../#EntityFetcherFactory)[ContributionProposal](../interfaces/ContributionProposal.md), [NewContributionProposalEventResult](../interfaces/NewContributionProposalEventResult.md)>





___

<a id="getVotingMachine"></a>

###  getVotingMachine

► **getVotingMachine**(avatarAddress: *[Address](../#Address)*): `Promise`.<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>



*Inherited from [ProposalGeneratorBase](ProposalGeneratorBase.md).[getVotingMachine](ProposalGeneratorBase.md#getVotingMachine)*

*Defined in [proposalGeneratorBase.ts:30](https://github.com/daostack/arc.js/blob/f343aa24/lib/proposalGeneratorBase.ts#L30)*



Return IntVoteInterfaceWrapper for this scheme as registered with the given avatar.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address)   |  - |





**Returns:** `Promise`.<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>





___

<a id="getVotingMachineAddress"></a>

###  getVotingMachineAddress

► **getVotingMachineAddress**(avatarAddress: *[Address](../#Address)*): `Promise`.<[Address](../#Address)>



*Inherited from [ProposalGeneratorBase](ProposalGeneratorBase.md).[getVotingMachineAddress](ProposalGeneratorBase.md#getVotingMachineAddress)*

*Defined in [proposalGeneratorBase.ts:22](https://github.com/daostack/arc.js/blob/f343aa24/lib/proposalGeneratorBase.ts#L22)*



Return the address of the voting machine for this scheme as registered with the given avatar.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address)   |  - |





**Returns:** `Promise`.<[Address](../#Address)>





___

<a id="hydrateFromAt"></a>

###  hydrateFromAt

► **hydrateFromAt**(address: *`string`*): `Promise`.<[IContractWrapper](../interfaces/IContractWrapper.md)>



*Implementation of [IUniversalSchemeWrapper](../interfaces/IUniversalSchemeWrapper.md).[hydrateFromAt](../interfaces/IUniversalSchemeWrapper.md#hydrateFromAt)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromAt](ContractWrapperBase.md#hydrateFromAt)*

*Defined in [contractWrapperBase.ts:100](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperBase.ts#L100)*



Initialize from a given address on the current network.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string`   |  of the deployed contract |





**Returns:** `Promise`.<[IContractWrapper](../interfaces/IContractWrapper.md)>
this or undefined if not found






___

<a id="hydrateFromDeployed"></a>

###  hydrateFromDeployed

► **hydrateFromDeployed**(): `Promise`.<[IContractWrapper](../interfaces/IContractWrapper.md)>



*Implementation of [IUniversalSchemeWrapper](../interfaces/IUniversalSchemeWrapper.md).[hydrateFromDeployed](../interfaces/IUniversalSchemeWrapper.md#hydrateFromDeployed)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromDeployed](ContractWrapperBase.md#hydrateFromDeployed)*

*Defined in [contractWrapperBase.ts:118](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperBase.ts#L118)*



Initialize as it was migrated by Arc.js on the current network.




**Returns:** `Promise`.<[IContractWrapper](../interfaces/IContractWrapper.md)>
this or undefined if not found






___

<a id="hydrateFromNew"></a>

###  hydrateFromNew

► **hydrateFromNew**(...rest: *`Array`.<`any`>*): `Promise`.<[IContractWrapper](../interfaces/IContractWrapper.md)>



*Implementation of [IUniversalSchemeWrapper](../interfaces/IUniversalSchemeWrapper.md).[hydrateFromNew](../interfaces/IUniversalSchemeWrapper.md#hydrateFromNew)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromNew](ContractWrapperBase.md#hydrateFromNew)*

*Defined in [contractWrapperBase.ts:81](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperBase.ts#L81)*



Initialize from a newly-migrated instance. This will migrate a new instance of the contract to the net.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| rest | `Array`.<`any`>   |  - |





**Returns:** `Promise`.<[IContractWrapper](../interfaces/IContractWrapper.md)>
this






___

<a id="proposeContributionReward"></a>

###  proposeContributionReward

► **proposeContributionReward**(options?: *[ProposeContributionRewardParams](../interfaces/ProposeContributionRewardParams.md)*): `Promise`.<[ArcTransactionProposalResult](ArcTransactionProposalResult.md)>



*Defined in [wrappers/contributionReward.ts:55](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L55)*



Submit a proposal to reward a beneficiary for contributions to the DAO


**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| options | [ProposeContributionRewardParams](../interfaces/ProposeContributionRewardParams.md)  |  {} as ProposeContributionRewardParams &amp; TxGeneratingFunctionOptions |   - |





**Returns:** `Promise`.<[ArcTransactionProposalResult](ArcTransactionProposalResult.md)>





___

<a id="redeemContributionReward"></a>

###  redeemContributionReward

► **redeemContributionReward**(options?: *[ContributionRewardRedeemParams](../interfaces/ContributionRewardRedeemParams.md)*): `Promise`.<[ArcTransactionResult](ArcTransactionResult.md)>



*Defined in [wrappers/contributionReward.ts:175](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L175)*



Redeem the specified rewards for the beneficiary of the proposal


**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| options | [ContributionRewardRedeemParams](../interfaces/ContributionRewardRedeemParams.md)  |  {} as ContributionRewardRedeemParams &amp; TxGeneratingFunctionOptions |   - |





**Returns:** `Promise`.<[ArcTransactionResult](ArcTransactionResult.md)>





___

<a id="redeemEther"></a>

###  redeemEther

► **redeemEther**(options?: *[ContributionRewardSpecifiedRedemptionParams](../interfaces/ContributionRewardSpecifiedRedemptionParams.md)*): `Promise`.<[ArcTransactionResult](ArcTransactionResult.md)>



*Defined in [wrappers/contributionReward.ts:291](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L291)*



Redeem ether reward for the beneficiary of the proposal


**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| options | [ContributionRewardSpecifiedRedemptionParams](../interfaces/ContributionRewardSpecifiedRedemptionParams.md)  | 
      {} as ContributionRewardSpecifiedRedemptionParams &amp; TxGeneratingFunctionOptions |   - |





**Returns:** `Promise`.<[ArcTransactionResult](ArcTransactionResult.md)>





___

<a id="redeemExternalToken"></a>

###  redeemExternalToken

► **redeemExternalToken**(options?: *[ContributionRewardSpecifiedRedemptionParams](../interfaces/ContributionRewardSpecifiedRedemptionParams.md)*): `Promise`.<[ArcTransactionResult](ArcTransactionResult.md)>



*Defined in [wrappers/contributionReward.ts:210](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L210)*



Redeem external token reward for the beneficiary of the proposal


**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| options | [ContributionRewardSpecifiedRedemptionParams](../interfaces/ContributionRewardSpecifiedRedemptionParams.md)  | 
      {} as ContributionRewardSpecifiedRedemptionParams &amp; TxGeneratingFunctionOptions |   - |





**Returns:** `Promise`.<[ArcTransactionResult](ArcTransactionResult.md)>





___

<a id="redeemNativeToken"></a>

###  redeemNativeToken

► **redeemNativeToken**(options?: *[ContributionRewardSpecifiedRedemptionParams](../interfaces/ContributionRewardSpecifiedRedemptionParams.md)*): `Promise`.<[ArcTransactionResult](ArcTransactionResult.md)>



*Defined in [wrappers/contributionReward.ts:264](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L264)*



Redeem native token reward for the beneficiary of the proposal


**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| options | [ContributionRewardSpecifiedRedemptionParams](../interfaces/ContributionRewardSpecifiedRedemptionParams.md)  | 
      {} as ContributionRewardSpecifiedRedemptionParams &amp; TxGeneratingFunctionOptions |   - |





**Returns:** `Promise`.<[ArcTransactionResult](ArcTransactionResult.md)>





___

<a id="redeemReputation"></a>

###  redeemReputation

► **redeemReputation**(options?: *[ContributionRewardSpecifiedRedemptionParams](../interfaces/ContributionRewardSpecifiedRedemptionParams.md)*): `Promise`.<[ArcTransactionResult](ArcTransactionResult.md)>



*Defined in [wrappers/contributionReward.ts:237](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L237)*



Redeem reputation reward for the beneficiary of the proposal


**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| options | [ContributionRewardSpecifiedRedemptionParams](../interfaces/ContributionRewardSpecifiedRedemptionParams.md)  | 
      {} as ContributionRewardSpecifiedRedemptionParams &amp; TxGeneratingFunctionOptions |   - |





**Returns:** `Promise`.<[ArcTransactionResult](ArcTransactionResult.md)>





___

<a id="setParameters"></a>

###  setParameters

► **setParameters**(params: *[ContributionRewardParams](../interfaces/ContributionRewardParams.md)`TxGeneratingFunctionOptions`*): `Promise`.<[ArcTransactionDataResult](ArcTransactionDataResult.md)[Hash](../#Hash)>



*Defined in [wrappers/contributionReward.ts:455](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/contributionReward.ts#L455)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| params | [ContributionRewardParams](../interfaces/ContributionRewardParams.md)`TxGeneratingFunctionOptions`   |  - |





**Returns:** `Promise`.<[ArcTransactionDataResult](ArcTransactionDataResult.md)[Hash](../#Hash)>





___


